package com.pcloud.book.group.dto;

import com.pcloud.common.dto.BaseDto;

import java.io.Serializable;

/**
 * @author lily
 * @date 2019/5/10 14:47
 */
public class GroupQrcodeBaseDTO extends BaseDto implements Serializable {

    /**
     * 微信号
     */
    private String weixinGroupId;

    /**
     * 群名称
     */
    private String groupName;

    /**
     * 图书名称
     */
    private String bookName;

    /**
     * 分类
     */
    private String classify;
    /**
     * 群人数
     */
    private Integer userNumber;
    /**
     * 群二维码id
     */
    private Long groupQrcodeId;

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    @Override
    public String toString() {
        return "GroupQrcodeBaseDTO{" +
                "weixinGroupId='" + weixinGroupId + '\'' +
                ", groupName='" + groupName + '\'' +
                ", bookName='" + bookName + '\'' +
                ", classify='" + classify + '\'' +
                ", userNumber=" + userNumber +
                ", groupQrcodeId=" + groupQrcodeId +
                '}';
    }
}
